Bug 172044 - [macOS Debug] Layout Test imported/w3c/web-platform-tests/IndexedDB/open-request-queue.html is a flaky timeout.
Summary: [macOS Debug] Layout Test imported/w3c/web-platform-tests/IndexedDB/open-requ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sihui Liu
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-05-12 13:07 PDT by Matt Lewis
Modified: 2021-07-22 09:51 PDT (History)
9 users (show)

See Also:


Attachments
Patch (23.61 KB, patch)
2021-07-21 15:13 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (23.74 KB, patch)
2021-07-21 16:46 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Lewis 2017-05-12 13:07:29 PDT
The test imported/w3c/web-platform-tests/IndexedDB/open-request-queue.html is a flaky timeout.

The test recently started to timeout on Sierra Debug WK2 on 5/10/17, however this does not seem to be a recent occurrence. It has been timing out on both versions (WK1 & WK2) of El Capitan and the Sierra Debug WK1 for as far back as the dashboard will allow.

History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2FIndexedDB%2Fopen-request-queue.html

Build:
https://build.webkit.org/builders/Apple%20Sierra%20Debug%20WK2%20(Tests)/builds/963
https://build.webkit.org/results/Apple%20Sierra%20Debug%20WK2%20(Tests)/r216764%20(963)/results.html


no diff available

imported with https://trac.webkit.org/changeset/212202/webkit
Comment 1 Matt Lewis 2017-08-18 14:09:02 PDT
Marked as flaky timeout:
https://trac.webkit.org/changeset/220932/webkit
Comment 3 Sihui Liu 2021-07-21 15:13:51 PDT
Created attachment 433962 [details]
Patch
Comment 4 Chris Dumez 2021-07-21 16:07:38 PDT
Comment on attachment 433962 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=433962&action=review

The code change looks acceptable but landing FAIL baselines for tests is not.

> LayoutTests/storage/indexeddb/delete-in-upgradeneeded-close-in-open-success-expected.txt:29
> +FAIL sawVersionChange should be true. Was false.

Since those are WebKit tests (not WPT), please fix those tests to reflect the new behavior instead of landing failure expectations.
Comment 5 Sihui Liu 2021-07-21 16:46:33 PDT
Created attachment 433973 [details]
Patch
Comment 6 EWS 2021-07-22 09:50:06 PDT
Committed r280176 (239871@main): <https://commits.webkit.org/239871@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433973 [details].
Comment 7 Radar WebKit Bug Importer 2021-07-22 09:51:16 PDT
<rdar://problem/80967124>